/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * IssueResponse
 */

public class IssueResponse {
  @JsonProperty("close")
  private Boolean close = null;

  @JsonProperty("comment")
  private String comment = null;

  public IssueResponse close(Boolean close) {
    this.close = close;
    return this;
  }

   /**
   * Is this a closing response. Only subject owner can close
   * @return close
  **/
  @ApiModelProperty(value = "Is this a closing response. Only subject owner can close")
  public Boolean isClose() {
    return close;
  }

  public void setClose(Boolean close) {
    this.close = close;
  }

  public IssueResponse comment(String comment) {
    this.comment = comment;
    return this;
  }

   /**
   * The comment to submit
   * @return comment
  **/
  @ApiModelProperty(required = true, value = "The comment to submit")
  public String getComment() {
    return comment;
  }

  public void setComment(String comment) {
    this.comment = comment;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IssueResponse issueResponse = (IssueResponse) o;
    return Objects.equals(this.close, issueResponse.close) &&
        Objects.equals(this.comment, issueResponse.comment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(close, comment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IssueResponse {\n");

    sb.append("    close: ").append(toIndentedString(close)).append("\n");
    sb.append("    comment: ").append(toIndentedString(comment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

